[arch-commits] Commit in fcitx/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 3 03:13:36 EDT 2009


    Date: Friday, April 3, 2009 @ 03:13:36
  Author: eric
Revision: 32963

Merged revisions 356,32957 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/fcitx/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r32957 | eric | 2009-04-03 02:45:35 -0400 (Fri, 03 Apr 2009) | 2 lines
  
  upgpkg: fcitx 3.5.070703-2
      Added license, PKGBUILD cleanup
........

Modified:
  fcitx/repos/extra-i686/	(properties)
  fcitx/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)


Property changes on: fcitx/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /fcitx/trunk:1
   + /fcitx/trunk:1-32962

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-03 06:52:52 UTC (rev 32962)
+++ extra-i686/PKGBUILD	2009-04-03 07:13:36 UTC (rev 32963)
@@ -4,19 +4,18 @@
 
 pkgname=fcitx
 pkgver=3.5.070703
-basever=3.5
-origver=3.5-070703
-pkgrel=1
+pkgrel=2
 pkgdesc="Free Chinese Input Toy of X - Input Method Server for X window system (XIM)"
 arch=("i686" "x86_64")
 url="http://www.fcitx.org/"
+license=('GPL')
 depends=('libxft' 'libxpm')
-source=($url/download/$pkgname-$origver.tar.bz2)
+source=(http://www.fcitx.org/download/$pkgname-${pkgver%.*}-${pkgver##*.}.tar.bz2)
+md5sums=('1023b3febc5660101d75eb57b8948f69')
 
 build() {
-    cd $startdir/src/$pkgname-$basever
-    ./configure --prefix=/usr
-    make || return 1
-    make DESTDIR=$startdir/pkg/ install
+  cd $srcdir/$pkgname-${pkgver%.*}
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }
-md5sums=('1023b3febc5660101d75eb57b8948f69')



More information about the arch-commits mailing list